import coins

exps = 50

totTosses = 0

seq = 'HTH'

for _ in range(exps):

   s = coins.genSequence(seq)

   totTosses += len(s)

   print(s)

print(f'Avg tosses for {seq} was {round(totTosses / exps)}')


##############################################
# Resetting to try genSequenceOptimal version.

print('\n')

totTosses = 0

# Have coins.toss() show its output. Used for checking that
# coins.genSequenceOptimal works ok.  Comment it out once
# confirmed.
#
coins.showToss = True

for _ in range(exps):

    totTosses += coins.genSequenceOptimal(seq)
    print()

print(f'Avg tosses for {seq} was {round(totTosses / exps)}')





